#ifdef STATISTICS
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Select_Priority_Fixed.h"

namespace morpheo {
namespace behavioural {
namespace generic {
namespace select {
namespace select_priority_fixed {


  string Select_Priority_Fixed::statistics (uint32_t depth)
  {
    log_printf(FUNC,Select_Priority_Fixed,"statistics","Begin");

    string txt = _stat->print(depth);
    
    log_printf(FUNC,Select_Priority_Fixed,"statistics","End");

    return txt;
  };

}; // end namespace select_priority_fixed
}; // end namespace select
}; // end namespace generic

}; // end namespace behavioural
}; // end namespace morpheo              
#endif
